Package org.globus.ftp

# Class RetrieveOptions

java.lang.Object
org.globus.ftp.Options
org.globus.ftp.RetrieveOptions

public class RetrieveOptions extends Options
Options to the command RETR, as defined in GridFTP. In client-server transfers, this implementation does not support starting/min/max parallelism. All three values must be equal. In third party transfers, this is not necessary.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`maxParallelism`
`protected int`
`minParallelism`
`protected int`
`startParallelism`

### Fields inherited from class org.globus.ftp.Options

`command`

## Constructor Summary

Constructors
Constructor
Description
`RetrieveOptions()`
`RetrieveOptions(int parallelism)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getArgument()`
Subclasses should implement this method.
`int`
`getMaxParallelism()`
`int`
`getMinParallelism()`
`int`
`getStartingParallelism()`
`void`
`setMaxParallelism(int maxParallelism)`
Use only in third party mode.
`void`
`setMinParallelism(int minParallelism)`
Use only in third party mode.
`void`
`setStartingParallelism(int startParallelism)`
Use only in third party mode.

### Methods inherited from class org.globus.ftp.Options

`toFtpCmdArgument`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### startParallelism

protected int startParallelism

### minParallelism

protected int minParallelism

### maxParallelism

protected int maxParallelism

## Constructor Details

### RetrieveOptions

public RetrieveOptions()

### RetrieveOptions

public RetrieveOptions(int parallelism)

Parameters:
  `parallelism` - required min, max, and starting parallelism

## Method Details

### setStartingParallelism

public void setStartingParallelism(int startParallelism)
Use only in third party mode.

### setMinParallelism

public void setMinParallelism(int minParallelism)
Use only in third party mode.

### setMaxParallelism

public void setMaxParallelism(int maxParallelism)
Use only in third party mode.

### getStartingParallelism

public int getStartingParallelism()

### getMinParallelism

public int getMinParallelism()

### getMaxParallelism

public int getMaxParallelism()

### getArgument

public String getArgument()
Description copied from class: `Options`
Subclasses should implement this method. It should return the right side of the options line, in the format of OPTS command. It should not include the command name.

Specified by:
  `getArgument` in class `Options`